﻿@* New comment for source code production by Rahmat 2014-09-22 *@
<table>
    <tr> 
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                         txt.Name = "txtcontrol";
                        txt.ClientVisible = false;
                    }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtid";
                        txt.ClientVisible = false;
                    }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
        Route Code
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtroutecode";
                        txt.Properties.MaxLength = 10;
                    }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
        Truck type
        </td>    
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txttruck";
                        txt.Properties.MaxLength = 50;
                    }).GetHtml()
        </td>
    </tr>
    <tr> 
        <td>
        Volume target
        </td>  
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txtvol"; 
                        txt.Properties.MaxLength = 18;
                        txt.Properties.ClientSideEvents.KeyPress = "IsNumeric";
                    }).GetHtml()
        </td>
    </tr>
    <tr>   
        <td>
        Efficiency target
        </td>
        <td>
         @Html.DevExpress().TextBox(txt=>
                    {
                        txt.Name = "txteff";
                        txt.Properties.MaxLength = 5;
                        txt.Properties.ClientSideEvents.KeyPress = "IsNumeric";
                    }).GetHtml()
        </td>
    </tr>
    
    <tr>
        <td>
             @Html.DevExpress().Button(btn=>
                    {
                        btn.Name = "btndelete";
                        btn.Text = "Delete";
                        btn.ClientSideEvents.Click = "OnDeleteRoute";
                    }).GetHtml()
        </td>
        <td >
            <table>
                <tr>
                    <td>
                        @Html.DevExpress().Label(lb=>
                        {
                            lb.Name = "lblspace";
                            lb.Width = System.Web.UI.WebControls.Unit.Pixel(30);
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(btn=>
                        {
                            btn.Name = "btnsave";
                            btn.Text = "Save";
                            btn.ClientSideEvents.Click = "OnSaveRoute";
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(btn=>
                        {
                            btn.Name = "btncancel";
                            btn.Text = "Cancel";
                            btn.ClientSideEvents.Click = "OnCancelRoute";
                        }).GetHtml()
                    </td>
                </tr>
            </table>
             
             
        </td>
    </tr>
</table>